### Xilinx Processor IP Library

Software Drivers

Main Page | Data Structures | File List | Data Fields | Globals

# XTmrCtr Struct Reference

## Detailed Description

The XTmrCtr driver instance data. The user is required to allocate a variable of this type for every timer/counter device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Data Fields
XTmrCtrStats | Stats
u32 | BaseAddress
u32 | IsReady
XTmrCtr_Handler | Handler
void * | CallBackRef

## Field Documentation

u32 XTmrCtr::BaseAddress

| Base address of registers

void* XTmrCtr::CallBackRef

| Callback reference for handler

XTmrCtr_Handler XTmrCtr::Handler

| Callback function

u32 XTmrCtr::IsReady

| Device is initialized and ready

XTmrCtrStats XTmrCtr::Stats

| Component Statistics

The documentation for this struct was generated from the following file:

- xtmrctr.h

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.